<?php
	$path = '/media/DCIM/';
	$filename = 'photo-' . date("Ymd-His") . '.jpg';


	/// Load config file
	$config_strings = file('/opt/StereoPi/config.conf');

	/// Parse config file
	$config = array();
	foreach ($config_strings as $k => $v) {
		$tmp = explode("=", trim($v));
		$config[$tmp[0]] = $tmp[1];
	}
	//print_r($config);

	shell_exec('killall -q raspivid');

	if ($config['video_mode'] == "3D") {
		$VIDEOMODE = " -3d sbs ";
	} else {
		$VIDEOMODE = "";
	}

	if ($config['up_down'] == "1") {
		$UPDOWN = " -vf -hf ";
	} else {
		$UPDOWN = "";
	}

	if ($config['swapcams'] == "1") {
		$SWAPCAMS = " -cs 1 ";
	} else {
		$SWAPCAMS = "";
	}

	switch ($config['photo_resolution']) {
		case "V1-full-size": $PHOTO_RESOLUTION = " -w 5184 -h 1944 "; break;
		case "V2-full-size": $PHOTO_RESOLUTION = " -w 6560 -h 2464 "; break;
		default: $PHOTO_RESOLUTION = "";
	}

	shell_exec('raspistill -n -t 500 ' . $VIDEOMODE . $UPDOWN . $SWAPCAMS . $PHOTO_RESOLUTION . ' -o ' . $path.$filename);

	shell_exec('sudo sync');

	$res['status'] = '0';
	$res['filename'] = $filename;
	echo json_encode($res);
?>